Skip to content

API Reference

Update person in batch

PUT /v2/person https://api.cable.tech

Authentication

  • Bearer token in the Authorization header person:write

Request body

application/json list of objects

An array of person update payloads. Each payload must include the ‘person_id’ to identify the person and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.

  • person_id string required

    Unique external identifier of the person entity, ID stored in your database / back-office

    Limits min length 1

  • timestamp string required

    When this person record was created or last modified in your system, in ISO 8601 format. For example, account opening date or KYC completion time.

    Format date-time

  • is_test_user boolean required

    If the person is a test user, this should be set to true

    Default false

  • is_retail_customer boolean required

    Indicates if the person is in the context of retail companies. If the value is false, fields is_beneficial_owner, is_director, is_account_owner and is_shareholder are required.

    Example true

  • related_company_id string

    Unique external identifier of the related company entity

    Limits min length 1

  • is_beneficial_owner boolean

    If the person is a beneficial owner of the related company, this should be set to true. If is_retail_customer is false, this field is required.

    Example true

  • is_director boolean

    If the person is a director of the related company, this should be set to true. If is_retail_customer is false, this field is required.

    Example false

  • is_account_owner boolean

    If the person is an account owner of the related company, this should be set to true. If is_retail_customer is false, this field is required.

    Example true

  • is_sole_prop boolean

    If the related company is a sole proprietorship (or sole trader if in the UK), this should be set to true.

    Example false

  • is_shareholder boolean

    If the person is a shareholder of the related company, this should be set to true. If is_retail_customer is false, this field is required.

    Example false

  • is_significant_control_person boolean

    If the person has significant control of the related company, this should be set to true

    Example false

  • ownership_percentage number

    If the person is a shareholder of the related company, this should be set to their ownership percentage, as a value between 0 and 1

    Example 0.5

  • account_status string

    The account status for the related person. Refer to the Developer Guide “Entity Account Statuses” to understand what account statuses mean at Cable, and how to use them

    Allowed values APPROVEDBLOCKEDCLOSEDPENDINGREJECTED

  • name string

    The provided full name of the person

    Example Alex Nguyen

  • first_name string

    The provided first name of the person

    Example Alex

  • last_name string

    The provided last name of the person

    Example Nguyen

  • email string

    Contact email for the person

    Example [email protected]

  • address object

    Legal/contact address for the entity

    • lines list of strings

      Limits min items 1

      Example 160 Kemp House, City Road

    • city string

      Example London

    • state string

      Example New York

    • county string

      Example Buckinghamshire

    • postal_code string

      Example EC1V 2NX

    • country string

      Example France

  • phone_number string

    Contact telephone number for the person

    Example +441234567899

  • date_of_birth string

    Format date

    Example 1945-03-22

  • nationality string

    2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)

    Example NPL

  • occupation string

    Primary occupation of the individual

    Example Plumber

  • first_transaction_completed_at string

    Original timestamp of when the person completed their first transaction

    Format date-time

  • national_identification_number object
    • type string required

      Type of national identification number

    • value string required

      National identification number

  • product_type string

    Limits min length 1

Responses

200 Persons updated successfully

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid person data
  • 401 Unauthorized request
  • 404 Person not found
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string